QGIS Application - Bug report #15852
Let user specify schema where PostGIS is installed
2016-11-15 12:23 PM - Mikhail Titov

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:2.18.0 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23770
Description

It is impossible to edit features among other things when PostGIS is installed into non-public schema.
| think the easiest workaround is to add PG schema information into connection dialog and alter search path upon connecting.

Could not commit changes to layer tst

Errors: ERROR: 3 feature(s) not added.

Provider errors:
PostGIS error while adding features: ERROR: function geomfromwkb(bytea, integer) does not exist
LINE 1: ...om","id","effective_from","effective_to") VALUES (geomfromwk...

A

HINT: No function matches the given name and argument types. You might need to add explicit type casts.

History

#1 - 2016-11-15 12:28 PM - Mikhail Titov

Maybe even better approach is to query system catalog to locate schema with spatial_ref_sys relation and add that schema to a search path. This way no
Ul change is necessary.

select
n.nspname AS f_table_schema
from pg_class ¢
join pg_namespace n on c.relnamespace = n.oid

where c.relname='spatial_ref_sys'

#2 - 2017-05-01 01:02 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#3 - 2017-09-08 01:35 PM - Jiirgen Fischer
- Assignee deleted (Jiirgen Fischer)

#4 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life
- Status changed from Open to Closed
End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.
